#ifndef __uvcsam_dshow_h__
#define __uvcsam_dshow_h__

/* Version: 1.30594.20260120 */
/* Both the DirectShow source filter and the output pin(s) support this interface.
    That is to say, you can use QueryInterface on the filter or the pin(s) to get the IToupcam interface.
*/
// {00AFDD67-2290-416A-BF17-9045005CDC24}
DEFINE_GUID(IID_IUvcsam, 0xafdd67, 0x2290, 0x416a, 0xbf, 0x17, 0x90, 0x45, 0x0, 0x5c, 0xdc, 0x24);

DECLARE_INTERFACE_(IUvcsam, IUnknown)
{
    STDMETHOD(put) (THIS_ long type, long value) PURE;
    STDMETHOD(get) (THIS_ long type, long* value) PURE;
    STDMETHOD(range) (THIS_ long type, long* lmin, long* lmax, long* ldef) PURE;
};

#endif
